Subject: Re: BUG: igc: Unable to select 100 Mbps speed mode

From: Vinicius Costa Gomes <[email-masked]>
Date: Fri, 01 Dec 2023 15:40:21 -0800

Hi,

Ferenc Fejes <[email-masked]> writes:

> Hi!
>
> I upgraded from Ubuntu 23.04 to 23.10, the default Linux version
> changed from 6.2 to 6.5.
>
> We immediately noticed that we cannot set 100 Mbps mode on i225 with
> the new kernel.
>
> E.g.:
> sudo ethtool -s enp4s0 speed 100 duplex full
> dmesg:
> [   60.304330] igc 0000:03:00.0 enp3s0: NIC Link is Down
> [   62.582764] igc 0000:03:00.0 enp3s0: NIC Link is Up 2500 Mbps Full
> Duplex, Flow Control: RX/TX
>

I wonder if this patch fixes it, and it is still not available in your
distro:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=e7684d29efdf37304c62bb337ea55b3428ca118e

> I just switched back to 6.2 and with that it works correctly.
>
> Sorry if this has already been addressed, after a quick search in the
> lore I cannot find anything related.
>

I think it was discussed here:

https://lore.kernel.org/all/[email-masked]/

> Best,
> Ferenc

Cheers,
-- 
Vinicius